Bug 8693 - NullPointerException when opening existing Workbook
Summary: NullPointerException when opening existing Workbook
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 1.5
Hardware: PC other
: P3 enhancement with 10 votes (vote)
Target Milestone: ---
Assignee: POI Developers List
URL: none
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-01 09:15 UTC by Simon Gunzenreiner
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
Excel workbook containing charts (31.50 KB, application/octet-stream)
2002-05-01 09:19 UTC, Simon Gunzenreiner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Gunzenreiner 2002-05-01 09:15:18 UTC
On execution of the following code, a uncaught NullPointerException occurs:
File f = new File("test.xls");
POIFSFileSystem fs = new POIFSFileSystem(new FileInputStream(f));
HSSFWorkbook wb = new HSSFWorkbook(fs);

in the HSSFSheet.setPropertiesFromSheet() method at hrow.createCellFromRecord(cval).
The Exception occurs on the first cycle of the while loop.
I would like to attach my Excel workboob, if I figure out how to do this
(otherwise I will mail it).
Comment 1 Simon Gunzenreiner 2002-05-01 09:19:30 UTC
Created attachment 1751 [details]
Excel workbook containing charts
Comment 2 Andy Oliver 2002-05-10 02:41:19 UTC
glen, can you look at this?
Comment 3 Glen Stampoultzis 2002-05-21 13:25:11 UTC
Looks like an issue with the charts in the spreadsheet.  Since we're currently 
in the process of looking into how the whole charting thing works with Excel 
right now a solution will probably fall out from that.

Sorry for the slowness with my progress on this one.
Comment 4 riera 2003-03-10 09:16:50 UTC
This bug occurs when the chart is in a different sheet that the data used to 
create it. If the data and the chart are on the same sheet, no errors occur.
Comment 5 Jason Height 2004-10-14 02:23:44 UTC
Using HEAD, the attached file now reads and writes correctly. Suspect that this
has been fixed for quite a while.